### Method

# Adw AlertDialog choose

since: 1.5

#### Declaration [src]

    void
    adw_alert_dialog_choose (
      AdwAlertDialog* self,
      GtkWidget* parent,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

This function shows `self` to the user.

If the window is an `AdwWindow` or `AdwApplicationWindow`, the dialog will be shown within it. Otherwise, it will be a separate window.

Available since: 1.5

This method completes asynchronously. Use `adw_alert_dialog_choose_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`parent`

  Type: `GtkWidget`

  The parent widget.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` to cancel the operation.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A callback to call when the operation is complete.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.